ECONF_FREEEXTVALUE(3)

NAME
econf_freeExtValue - free an econf_ext_value structure

SYNOPSIS

#include <libeconf_ext.h>

void econf_freeExtValue(econf_ext_value *val);

DESCRIPTION

The econf_freeExtValue() function is used to free the memory that was dynamically allocated for the econf_ext_value structure pointed to by val, typically obtained from a previous call to econf_getExtValue(3).

All internal members of the structure, including the value string and any associated extended data, are also freed.

If val is NULL, the function does nothing.

RETURN VALUE

The econf_freeExtValue() function returns no value.

SEE ALSO

econf_getExtValue(3), econf_freeFile(3), libeconf(7)